apiVersion: gateway.networking.k8s.io/v1beta1
kind: Gateway
metadata:
  name: tenant-gateway
  namespace: bcx-opm
spec:
  gatewayClassName: istio
  listeners:
    - name: http
      port: 8085
      protocol: HTTP
      allowedRoutes:
        namespaces:
          from: Same
---
apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: tenant-gateway
  namespace: bcx-opm
spec:
  parentRefs:
    - name: tenant-gateway
  rules:
    - matches:
        - path:
            type: PathPrefix
            value: /dispatch
      backendRefs:
        - name: rest-api
          port: 8082
